Bug 493211 - SO enrollment fails when applet downgrade of the token from version 1.4.499dc06c to 1.3.44724DDE
SO enrollment fails when applet downgrade of the token from version 1.4.499dc...
Status: NEW
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Ben Levenson
:
Depends On:
Blocks: 530474
  Show dependency treegraph
 
Reported: 2009-03-31 18:44 EDT by Asha Akkiangady
Modified: 2015-01-04 19:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tps debug log attached (353.48 KB, text/plain)
2009-03-31 18:44 EDT, Asha Akkiangady
no flags Details
Screen shot of the error message during SO enrollment. (126.72 KB, image/jpeg)
2009-03-31 18:49 EDT, Asha Akkiangady
no flags Details
tps-debug log messages for enrollment operation with applet downgrade in WinXP-64 bit. (382.94 KB, text/plain)
2009-10-22 20:35 EDT, Asha Akkiangady
no flags Details

  None (edit)
Description Asha Akkiangady 2009-03-31 18:44:44 EDT
Created attachment 337418 [details]
tps debug log attached

Description of problem:
Security Officer enrollment fails when applet upgrade of the token from version 1.4.499dc06c to 1.3.44724DDE

Version-Release number of selected component (if applicable):
CS 8.0

How reproducible:


Steps to Reproduce:
1. TPS CS.cfg to have all profiles pointing to the applet version 1.4.499dc06c, restart TPS server.
2. token#1 is enrolled and formatted for SecurityOfficer#1 , applet version on the token is now 1.4.499dc06c
3. TPS CS.cfg to have all profiles pointing to the applet version  1.3.44724DDE, restart tps server.
4. enroll token#1 for SecurityOfficer#1.
  
Actual results:
Error (7), Smart card enrollment error.

Expected results:
Enrollment is complete.

Additional info:
Comment 1 Asha Akkiangady 2009-03-31 18:49:04 EDT
Created attachment 337420 [details]
Screen shot of the error message during SO enrollment.
Comment 2 Asha Akkiangady 2009-05-07 17:41:33 EDT
User token enrolment with applet downgrade from version 1.4.499dc06c to 1.3.44724DDE loads only encryption cert on the smart card., signing cert is not loaded.
Comment 3 Asha Akkiangady 2009-10-22 20:27:44 EDT
Applet downgrade from version 1.4.499dc06c to 1.3.44724DDE on Win-XP 64 bit fails. Tested enrollment operation with Safenet 330J cards, esc throws error "Enrollment of smart card failed. Error: The Smart Card Server cannot import the required certificates into your smart card."
Comment 4 Asha Akkiangady 2009-10-22 20:35:37 EDT
Created attachment 365800 [details]
tps-debug log messages for enrollment operation with applet downgrade in WinXP-64 bit.
Comment 5 Jack Magne 2009-10-22 20:54:04 EDT
I can't imagine that Win64 bit would have any effect on this issue that was discovered in the past.

Note You need to log in before you can comment on or make changes to this bug.